Bug 81716 - EDITING: All windows not active after closing Help window (OSX 10.6.8)
Summary: EDITING: All windows not active after closing Help window (OSX 10.6.8)
Status: RESOLVED NOTOURBUG
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.5.2 release
Hardware: Other macOS (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks:
 
Reported: 2014-07-24 14:08 UTC by web5705
Modified: 2014-11-28 08:26 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description web5705 2014-07-24 14:08:23 UTC
Problem description: 
All windows unresponsive (greyed out) after closing Help window in Similarity search options until you press the Escape key.

Steps to reproduce:
1. In a Writer documents, select Edit > Find & Replace > Other Options > Similarity search > click lozenge > click Help > close Help window
2. Windows are unresponsive (can be moved, but buttons and fields are inactive).
3. Press Escape key. All windows are now active and behave normally.


Current behavior: Find & Replace window (and open document window) are unresponsive.

Expected behavior: Closing Help window should return to an active Find & Replace window.

              
Operating System: Mac OS X
Version: 4.2.5.2 release
Comment 1 ign_christian 2014-07-24 16:10:57 UTC
Not reproducible in LO 4.2.5.2 - Ubuntu 12.04 x86

Looks like spesific to Mac OSX.

@web5705, please specify your OSX version
Comment 2 web5705 2014-07-24 16:13:34 UTC
Mac OS X 10.6.8
Comment 3 Christopher Chavez 2014-07-26 08:53:38 UTC
Was not able to reproduce using 4.3.0.3 (aka RC3, 64-bit version for 10.8+) on OS X 10.9.4.
Comment 4 Yousuf Philips (jay) (retired) 2014-08-01 10:12:59 UTC
Likely a Mac OS X only issue. CCing the mac users on the QA team.
Comment 5 retired 2014-08-01 15:17:26 UTC
web5705@gmail.com  please retry with LO 4.3.0.4. Since that one works for Christopher should be tested.

Please also try resetting your user profile and let us know if that helps: https://wiki.documentfoundation.org/UserProfile

Should this be still reproducible for you with the latest LO release please set this bug back to UNCONFIRMED. Should this issue be solved set it to WORKSFORME.

Setting to NEEDINFO until more detail is provided.
Comment 6 web5705 2014-08-01 15:56:08 UTC
Same problem in OS X 10.6.8 after updating to 4.3.0.4. and resetting User Profile.
Comment 7 web5705 2014-08-01 16:10:57 UTC
In addition, the same problem exists for the "Attributes" and "Format" buttons in Find & Replace > Other Options.

I don't know if it's related but the Help button in the Find & Replace window will open the Help window, but on closing the Help window, focus is not returned to the Find & Replace window. Focus can be regained (in this case) by clicking on that window.
Comment 8 web5705 2014-08-01 16:16:02 UTC
Just to clarify my previous comment, the problem with the "Attributes" and "Format" buttons refers to opening the Help window within those windows (not with the windows themselves).
Comment 9 retired 2014-08-03 13:15:06 UTC
Hi again,

this is not reproducible for me under OS X 10.9.4 and LO 4.3.0.4.

I did 1. In a Writer documents, select Edit > Find & Replace > Other Options > Similarity search > click lozenge > click Help > close Help window

but then
2. Windows are unresponsive (can be moved, but buttons and fields are inactive).
is not the case. I can click all buttons and windows are active.

Do you have any chance to update to the latest OS X release? 10.6 is really old by now.

Did you already try re-setting your user profile as suggested previously?
Comment 10 web5705 2014-08-03 14:31:10 UTC
(In reply to comment #9)

> Do you have any chance to update to the latest OS X release? 10.6 is really
> old by now.

I don't want to update my OS for such a small bug. This isn't really a problem for me personally – just thought I'd raise the bug to help someone else: I can imagine someone resorting to force quit and losing some work because of the bug.

> 
> Did you already try re-setting your user profile as suggested previously?

Yes, see comment #6.
Comment 11 Alex Thurgood 2014-10-15 14:06:59 UTC
Can not reproduce on OSX 10.9.5 with LO

version: 4.4.0.0.alpha0+
Build ID: 7dc6c9af4ba313f054331f5130470d83d875bc16
my master build
Comment 12 Alex Thurgood 2014-10-15 14:09:19 UTC
Nor with 

Version: 4.3.2.2
Build ID: edfb5295ba211bd31ad47d0bad0118690f76407d

wfm
Comment 13 retired 2014-10-17 16:07:58 UTC
So did you try 4.3.2.2?
Comment 14 web5705 2014-10-17 16:24:51 UTC
Yes, same thing with 4.3.2.2.
Also tried logging in to a Guest account with the same result: Escape key needed to make the windows active again.

Seems to be fixed in later OS versions.
Comment 15 Buovjaga 2014-11-27 11:29:41 UTC
Should be UNCONFIRMED.

Do note: http://www.libreoffice.org/get-help/system-requirements/#Apple
The next release series (4.4) will require OS X 10.8+; Support for OS X 10.6/10.7 will end when LibreOffice 4.3 is retired on May 27, 2015.

That's only 6 months away.
Comment 16 retired 2014-11-28 08:26:01 UTC
Since this is 10.6 only and working fine on later OS X, I think this isn't even a LO bug but an Apple bug related to window management.

Besides that, chances that 10.6 only issues would get fixed in LO which will be 10.8 and higher only from 4.4 onwards, are very little.